InputFilter

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.pivottable.java
Class InputFilter

    java.lang.Object
      org.openswing.swing.pivottable.java.InputFilter

All Implemented Interfaces:
  java.io.Serializable

public class InputFilter
extends java.lang.Object
implements java.io.Serializable

Title: OpenSwing Framework

Description: Row filter used within pivot table to skip rows from original data model.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `EQ`
`static java.lang.String` | `GE`
`static java.lang.String` | `GT`
`static java.lang.String` | `IS_NOT_NULL`
`static java.lang.String` | `IS_NULL`
`static java.lang.String` | `LE`
`static java.lang.String` | `LT`
`static java.lang.String` | `NEQ`

Constructor Summary
`InputFilter()`

Method Summary
`void` | `addEqualsFilter(java.lang.String columnName, java.lang.Object value)` Add an "equals to" filter condition to input data to analyze.
`void` | `addGreaterOrEqualsToFilter(java.lang.String columnName, java.lang.Object value)` Add an "greater or equals to" filter condition to input data to analyze.
`void` | `addGreaterThanFilter(java.lang.String columnName, java.lang.Object value)` Add an "greater than" filter condition to input data to analyze.
`void` | `addIsNotNullFilter(java.lang.String columnName, java.lang.Object value)` Add an "is NOT null" filter condition to input data to analyze.
`void` | `addIsNullFilter(java.lang.String columnName, java.lang.Object value)` Add an "is null" filter condition to input data to analyze.
`void` | `addLessOrEqualsToFilter(java.lang.String columnName, java.lang.Object value)` Add an "less or equals to" filter condition to input data to analyze.
`void` | `addLessThanFilter(java.lang.String columnName, java.lang.Object value)` Add an "less than" filter condition to input data to analyze.
`void` | `addNotEqualsFilter(java.lang.String columnName, java.lang.Object value)` Add an "NOT equals to" filter condition to input data to analyze.
`java.util.Iterator` | `getFilteredColumnNames()`
`java.lang.String` | `getWhereClause(java.util.Map attributesMap, java.util.ArrayList bindVariables)`
`void` | `removeFilters(java.lang.String columnName)` Remove filter conditions for the specified column name.
`boolean` | `skipRow(java.lang.String columnName, java.lang.Object value)` Invoked by Reader class to skip rows.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EQ

    public static final java.lang.String EQ

See Also:
  Constant Field Values

### NEQ

    public static final java.lang.String NEQ

See Also:
  Constant Field Values

### LT

    public static final java.lang.String LT

See Also:
  Constant Field Values

### LE

    public static final java.lang.String LE

See Also:
  Constant Field Values

### GT

    public static final java.lang.String GT

See Also:
  Constant Field Values

### GE

    public static final java.lang.String GE

See Also:
  Constant Field Values

### IS_NULL

    public static final java.lang.String IS_NULL

See Also:
  Constant Field Values

### IS_NOT_NULL

    public static final java.lang.String IS_NOT_NULL

See Also:
  Constant Field Values

Constructor Detail

### InputFilter

    public InputFilter()

Method Detail

### addEqualsFilter

    public final void addEqualsFilter(java.lang.String columnName,
                                      java.lang.Object value)

  Add an "equals to" filter condition to input data to analyze.

  Parameters:
    `columnName` - column name
    `value` - filter value

### addNotEqualsFilter

    public final void addNotEqualsFilter(java.lang.String columnName,
                                         java.lang.Object value)

  Add an "NOT equals to" filter condition to input data to analyze.

  Parameters:
    `columnName` - column name
    `value` - filter value

### addIsNullFilter

    public final void addIsNullFilter(java.lang.String columnName,
                                      java.lang.Object value)

  Add an "is null" filter condition to input data to analyze.

  Parameters:
    `columnName` - column name
    `value` - filter value

### addIsNotNullFilter

    public final void addIsNotNullFilter(java.lang.String columnName,
                                         java.lang.Object value)

  Add an "is NOT null" filter condition to input data to analyze.

  Parameters:
    `columnName` - column name
    `value` - filter value

### addLessThanFilter

    public final void addLessThanFilter(java.lang.String columnName,
                                        java.lang.Object value)

  Add an "less than" filter condition to input data to analyze.

  Parameters:
    `columnName` - column name
    `value` - filter value

### addLessOrEqualsToFilter

    public final void addLessOrEqualsToFilter(java.lang.String columnName,
                                              java.lang.Object value)

  Add an "less or equals to" filter condition to input data to analyze.

  Parameters:
    `columnName` - column name
    `value` - filter value

### addGreaterThanFilter

    public final void addGreaterThanFilter(java.lang.String columnName,
                                           java.lang.Object value)

  Add an "greater than" filter condition to input data to analyze.

  Parameters:
    `columnName` - column name
    `value` - filter value

### addGreaterOrEqualsToFilter

    public final void addGreaterOrEqualsToFilter(java.lang.String columnName,
                                                 java.lang.Object value)

  Add an "greater or equals to" filter condition to input data to analyze.

  Parameters:
    `columnName` - column name
    `value` - filter value

### removeFilters

    public final void removeFilters(java.lang.String columnName)

  Remove filter conditions for the specified column name.

  Parameters:
    `columnName` - column name

### skipRow

    public final boolean skipRow(java.lang.String columnName,
                                 java.lang.Object value)

  Invoked by Reader class to skip rows.

  Parameters:
    `columnName` - column name under analysis
    `value` - current value for the specified column
  Returns:
    `true` if row must be skipped, `false` otherwise

### getFilteredColumnNames

    public final java.util.Iterator getFilteredColumnNames()

  Returns:
    Iterator related to column names having filters

### getWhereClause

    public final java.lang.String getWhereClause(java.util.Map attributesMap,
                                                 java.util.ArrayList bindVariables)

  Parameters:
    `attributesMap` - collection of pairs
    `bindVariables` - list of values binded to "?" variables specified in return WHERE value
  Returns:
    WHERE clause that can be appended to a SQL query used to fetch TableModel

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD